timedatectl doesn't list all timezones

Bug #1858210 reported by mlx
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
systemd (Ubuntu)
Wishlist
Dan Streetman
Bionic
Undecided
Unassigned
Focal
Wishlist
Dan Streetman
Groovy
Wishlist
Dan Streetman
Hirsute
Wishlist
Dan Streetman
Impish
Wishlist
Dan Streetman

Bug Description

[impact]

timedatectl list-timezones doesn't show many common timezones that are actually considered 'aliases', such as Europe/Bratislava or US/Eastern.

[test case]

$ timedatectl list-timezones | grep Eastern
$

[regression potential]

any regression would likely result in an incorrect list of timezones shown from list-timezones, or failure to correctly set a timezone

[scope]

this is needed in f and later

this is fixed upstream with PR 20066 which was just merged, so this is needed in all releases in ubuntu

in bionic, the 'tzdata.zi' file that the new code uses isn't present, so this won't work on bionic, thus marking it wontfix

[original description]

Is there some filter determining which timezones are displayed by `timedatectl list-timezones`? My zone, Europe/Bratislava, is missing. Even stranger, it can successfully be set by timedatectl.

ProblemType: Bug
DistroRelease: Ubuntu 19.10
Package: systemd 242-7ubuntu3.2
ProcVersionSignature: Ubuntu 5.3.0-1014.16-raspi2 5.3.10
Uname: Linux 5.3.0-1014-raspi2 aarch64
ApportVersion: 2.20.11-0ubuntu8.2
Architecture: arm64
Date: Fri Jan 3 15:36:03 2020
Lspci:

ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 LANG=C.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: coherent_pool=1M 8250.nr_uarts=1 bcm2708_fb.fbwidth=1824 bcm2708_fb.fbheight=984 bcm2708_fb.fbswap=1 vc_mem.mem_base=0x3ec00000 vc_mem.mem_size=0x40000000 net.ifnames=0 dwc_otg.lpm_enable=0 console=ttyS0,115200 console=tty1 root=LABEL=writable rootfstype=ext4 elevator=deadline rootwait fixrtc
SourcePackage: systemd
UpgradeStatus: No upgrade log present (probably fresh install)
mtime.conffile..etc.systemd.resolved.conf: 2020-01-03T01:02:47.779343

CVE References

Revision history for this message
mlx (myxal-mxl) wrote :
Balint Reczey (rbalint)
Changed in systemd (Ubuntu):
status: New → Confirmed
tags: removed: arm64
Changed in systemd (Ubuntu):
importance: Undecided → Low
Dan Streetman (ddstreet)
tags: added: ddstreet
Dan Streetman (ddstreet)
tags: removed: ddstreet
Revision history for this message
Dan Streetman (ddstreet) wrote :

This is because Europe/Bratislava is a timezone alias (to Europe/Prague), and systemd currently parses the 'zone1970.tab' to the the list of valid timezones; however that file only lists actual timezones, not timezone aliases.

I opened upstream pull request to change systemd to parse 'tzdata.zi' instead, which lists both actual timezones as well as aliases, which should fix this and list all zones and aliases from 'timedatectl list-timezones'

https://github.com/systemd/systemd/pull/20066

Changed in systemd (Ubuntu Impish):
assignee: nobody → Dan Streetman (ddstreet)
Changed in systemd (Ubuntu Hirsute):
assignee: nobody → Dan Streetman (ddstreet)
Changed in systemd (Ubuntu Groovy):
assignee: nobody → Dan Streetman (ddstreet)
Changed in systemd (Ubuntu Focal):
assignee: nobody → Dan Streetman (ddstreet)
Changed in systemd (Ubuntu Hirsute):
importance: Undecided → Low
Changed in systemd (Ubuntu Groovy):
importance: Undecided → Low
Changed in systemd (Ubuntu Focal):
importance: Undecided → Low
Changed in systemd (Ubuntu Impish):
status: Confirmed → In Progress
Changed in systemd (Ubuntu Hirsute):
status: New → In Progress
Changed in systemd (Ubuntu Groovy):
status: New → In Progress
Changed in systemd (Ubuntu Focal):
status: New → In Progress
Changed in systemd (Ubuntu Impish):
importance: Low → Wishlist
Changed in systemd (Ubuntu Hirsute):
importance: Low → Wishlist
Changed in systemd (Ubuntu Groovy):
importance: Low → Wishlist
Changed in systemd (Ubuntu Focal):
importance: Low → Wishlist
Dan Streetman (ddstreet)
description: updated
Changed in systemd (Ubuntu Bionic):
status: New → Won't Fix
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 248.3-1ubuntu2

---------------
systemd (248.3-1ubuntu2) impish; urgency=medium

  [ Kai-Heng Feng ]
  * d/p/hwdb-Add-ProBook-to-use-micmute-hotkey.patch:
    - Add ProBook to use micmute hotkey (LP: #1930910)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=30b96fac92d911cb725f7220a9539085a24fe5f7

  [ Jeremy Szu ]
  * d/p/lp1932352-hwdb-Add-mic-mute-key-mapping-for-HP-Elite-Dragonfly.patch:
    - Fix micmute hotkeys on HP Elite Dragonfly (LP: #1932352)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=ac93cfcca200644b743deab94f655ccd74ff90a6

  [ Dan Streetman ]
  * d/p/debian/UBUNTU-resolved-Mitigate-DVE-2018-0001-by-retrying-NXDOMAIN-with.patch:
    Remove no-longer-needed patch for DVE-2018-0001 (LP: #1785383)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=943b2dd5884e67c67d6336c24352b02e17809df0
  * d/p/lp1931578/0001-network-default-RequiredForOnline-false-if-Activacti.patch,
    d/p/lp1931578/0002-networkctl-add-field-Required-For-Online.patch,
    d/p/lp1931578/0003-test-add-test-to-verify-RequiredForOnline-setting-wi.patch:
    Adjust default for RequiredForOnline when using ActivationPolicy
    (LP: #1931578)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d0b8629ec14396f1a5d5f7c132c9b687065136b0
  * d/p/lp1894622-Add-systemd-resolve-backwards-compatibility-section-.patch:
    Add man page symlink and deprecation notice for systemd-resolve
    (LP: #1894622)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f719185253f989d6708c894150c0878cabee6589
  * d/p/lp1858210/0001-time-simplify-get_timezones.patch,
    d/p/lp1858210/0002-time-split-get_timezone-into-main-function-and-zone1.patch,
    d/p/lp1858210/0003-time-get-timezones-from-tzdata.zi.patch:
    Parse tzdata.zi so timedatectl list-timezones also lists aliases
    (LP: #1858210)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=8e5b0a7c7c4e1e29b5e81511a1145633d9b75be5

 -- Dan Streetman <email address hidden> Tue, 06 Jul 2021 13:37:59 -0400

Changed in systemd (Ubuntu Impish):
status: In Progress → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote : Please test proposed package

Hello mlx, or anyone else affected,

Accepted systemd into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/247.3-3ubuntu3.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Hirsute):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-hirsute
Revision history for this message
Brian Murray (brian-murray) wrote :

Hello mlx, or anyone else affected,

Accepted systemd into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/246.6-1ubuntu1.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Groovy):
status: In Progress → Fix Committed
tags: added: verification-needed-groovy
Revision history for this message
Brian Murray (brian-murray) wrote :

Hello mlx, or anyone else affected,

Accepted systemd into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/245.4-4ubuntu3.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed-focal
Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (systemd/247.3-3ubuntu3.2)

All autopkgtests for the newly accepted systemd (247.3-3ubuntu3.2) for hirsute have finished running.
The following regressions have been reported in tests triggered by the package:

umockdev/0.15.4-1 (armhf)
initramfs-tools/0.139ubuntu3 (amd64)
apt/2.2.4ubuntu0.1 (armhf)
netplan.io/0.102-0ubuntu3 (amd64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/hirsute/update_excuses.html#systemd

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (systemd/245.4-4ubuntu3.8)

All autopkgtests for the newly accepted systemd (245.4-4ubuntu3.8) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

asterisk/1:16.2.1~dfsg-2ubuntu1 (armhf)
gvfs/1.44.1-1ubuntu1 (amd64)
linux-oem-5.6/5.6.0-1057.61 (amd64)
munin/2.0.56-1ubuntu1 (ppc64el)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#systemd

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (systemd/246.6-1ubuntu1.5)

All autopkgtests for the newly accepted systemd (246.6-1ubuntu1.5) for groovy have finished running.
The following regressions have been reported in tests triggered by the package:

prometheus/2.20.0+ds-1 (amd64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/groovy/update_excuses.html#systemd

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Dan Streetman (ddstreet) wrote :

root@lp1858210-h:~# dpkg -l systemd|grep systemd
ii systemd 247.3-3ubuntu3.1 amd64 system and service manager
root@lp1858210-h:~# timedatectl list-timezones | grep Eastern
root@lp1858210-h:~#

root@lp1858210-h:~# dpkg -l systemd|grep systemd
ii systemd 247.3-3ubuntu3.2 amd64 system and service manager
root@lp1858210-h:~# timedatectl list-timezones | grep Eastern
Canada/Eastern
US/Eastern

Revision history for this message
Dan Streetman (ddstreet) wrote :

root@lp1858210-g:~# dpkg -l systemd | grep systemd
ii systemd 246.6-1ubuntu1.4 amd64 system and service manager
root@lp1858210-g:~# timedatectl list-timezones | grep Eastern
root@lp1858210-g:~#

root@lp1858210-g:~# dpkg -l systemd | grep systemd
ii systemd 246.6-1ubuntu1.5 amd64 system and service manager
root@lp1858210-g:~# timedatectl list-timezones | grep Eastern
Canada/Eastern
US/Eastern

Revision history for this message
Dan Streetman (ddstreet) wrote :

root@lp1858210-f:~# dpkg -l systemd|grep systemd
ii systemd 245.4-4ubuntu3.7 amd64 system and service manager
root@lp1858210-f:~# timedatectl list-timezones | grep Eastern
root@lp1858210-f:~#

root@lp1858210-f:~# dpkg -l systemd|grep systemd
ii systemd 245.4-4ubuntu3.8 amd64 system and service manager
root@lp1858210-f:~# timedatectl list-timezones | grep Eastern
Canada/Eastern
US/Eastern

tags: added: verification-done verification-done-focal verification-done-groovy verification-done-hirsute
removed: verification-needed verification-needed-focal verification-needed-groovy verification-needed-hirsute
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 246.6-1ubuntu1.5

---------------
systemd (246.6-1ubuntu1.5) groovy; urgency=medium

  [ Kai-Heng Feng ]
  * d/p/lp1930910-hwdb-Add-ProBook-to-use-micmute-hotkey.patch:
    - Add ProBook to use micmute hotkey (LP: #1930910)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=61d8acfdadb856cb408afde99f583142ec31b54e

  [ Jeremy Szu ]
  * d/p/lp1932352-hwdb-Add-mic-mute-key-mapping-for-HP-Elite-Dragonfly.patch:
    - Fix micmute hotkeys on HP Elite Dragonfly (LP: #1932352)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a635153cbd0542019190380c1f10fd86c12b537d

  [ Dan Streetman ]
  * d/p/lp1931578/0001-network-default-RequiredForOnline-false-if-Activacti.patch,
    d/p/lp1931578/0002-networkctl-add-field-Required-For-Online.patch,
    d/p/lp1931578/0003-test-add-test-to-verify-RequiredForOnline-setting-wi.patch:
    Adjust default for RequiredForOnline when using ActivationPolicy
    (LP: #1931578)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9496d9934550d842609bf9d4aff8fc93eece1321
  * d/p/lp1894622-Add-systemd-resolve-backwards-compatibility-section-.patch:
    Add man page symlink and deprecation notice for systemd-resolve
    (LP: #1894622)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=bdcb37e447bf419cc3ff1082aec3427ab9ad0c47
  * d/p/lp1858210/0001-time-simplify-get_timezones.patch,
    d/p/lp1858210/0002-time-split-get_timezone-into-main-function-and-zone1.patch,
    d/p/lp1858210/0003-time-get-timezones-from-tzdata.zi.patch:
    Parse tzdata.zi so timedatectl list-timezones also lists aliases
    (LP: #1858210)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a64ac9f1413abd3b7d427560ac6c439ba916e542
  * d/p/lp1891215/0001-fs-util-add-conservative_rename-that-suppresses-unne.patch,
    d/p/lp1891215/0002-resolved-don-t-update-resolv.conf-snippets-unnecessa.patch,
    d/p/lp1891215/0003-fs-util-rename-conservative_rename-conservative_rena.patch,
    d/p/lp1891215/0004-fs-util-make-sure-conservative_renameat-properly-det.patch:
    Don't rewrite resolv.conf is content unchanged (LP: #1891215)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=79ff24ba51d2239315d948e7dfb3e39769946937

 -- Dan Streetman <email address hidden> Tue, 06 Jul 2021 14:00:27 -0400

Changed in systemd (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote : Update Released

The verification of the Stable Release Update for systemd has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 245.4-4ubuntu3.10

---------------
systemd (245.4-4ubuntu3.10) focal-security; urgency=medium

  * SECURITY UPDATE: DoS via DHCP FORCERENEW
    - debian/patches/CVE-2020-13529.patch: tentatively ignore FORCERENEW
      command in src/libsystemd-network/sd-dhcp-client.c.
    - CVE-2020-13529
  * SECURITY UPDATE: denial of service via stack exhaustion
    - debian/patches/CVE-2021-33910.patch: do not use strdupa() on a path
      in src/basic/unit-name.c.
    - CVE-2021-33910

 -- Marc Deslauriers <email address hidden> Tue, 20 Jul 2021 07:39:51 -0400

Changed in systemd (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 247.3-3ubuntu3.4

---------------
systemd (247.3-3ubuntu3.4) hirsute-security; urgency=medium

  * SECURITY UPDATE: DoS via DHCP FORCERENEW
    - debian/patches/CVE-2020-13529.patch: tentatively ignore FORCERENEW
      command in src/libsystemd-network/sd-dhcp-client.c.
    - CVE-2020-13529
  * SECURITY UPDATE: denial of service via stack exhaustion
    - debian/patches/CVE-2021-33910.patch: do not use strdupa() on a path
      in src/basic/unit-name.c.
    - CVE-2021-33910

 -- Marc Deslauriers <email address hidden> Tue, 20 Jul 2021 07:38:18 -0400

Changed in systemd (Ubuntu Hirsute):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers